package plugin::excel::DataParser;
############################################################
#
# ExcelȺѥѡ
#
# v.0.01
#
############################################################
use Wiki::Parser;
use vars qw(@ISA $VERSION);
use strict;

@ISA = qw(Wiki::Parser);

$VERSION = 0.01;
#==============================================================================
sub new{
	my $class  = shift;
	my $parser = Wiki::Parser->new(shift);
	return bless($parser,$class);
}

sub get_result{
	shift->{cols};
}

sub start_parse{
	shift->{cols}  = [];
}

sub end_parse{
	shift;
}

#==============================================================================
sub l_table {
	my $self = shift;
	my $rows = shift;

	for my $row (@$rows){
		push @{$self->{cols}},$row->[0];
	}
}
#==============================================================================
sub text {
	my $self = shift;
	my $text = shift;
	return [undef,$text];
}
#==============================================================================
sub bold {
	my $self = shift;
	my $text = shift;
	$self->{value} = ["'''",$text];
}
#==============================================================================
sub italic {
	my $self = shift;
	my $text = shift;
	$self->{value} = ["''",$text];
}
#==============================================================================
sub underline {
	my $self = shift;
	my $text = shift;
	$self->{value} = ['__',$text];
}
#==============================================================================
sub denialline {
	my $self = shift;
	my $text = shift;
	$self->{value} = ['==',$text];
}
#==============================================================================
sub url_anchor {
	my $self = shift;
	my $url  = shift;
	my $name = shift;
	$self->{value} = ['[',[$url,$name]];
}
#==============================================================================
sub wiki_anchor {
	my $self = shift;
	my $page = shift;
	my $name = shift;
	$name = $page if(!defined($name) || $name eq "");
	$page = $self->{wiki}->config('script_name')."?page=".Util::url_encode($page);
	$self->{value} = ['[[',[$page,$name]];
}
#==============================================================================


1;
